Skip to main content

Check-In Authorization: Contact EMV and Token Creation


Use this information to process an authorization with contact EMV and to create a Token Management Service (TMS) token.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

This example shows how to authorize a payment at check-in with contact EMV while creating customer, payment instrument, and instrument identifier tokens.

{    "clientReferenceInformation": {        "code": "TestCode123",        "comments": "Checkin Auth CP",        "partner": {            "thirdPartyCertificationNumber": "123456789012",            "developerId": "AssignedDevID",            "solutionId": "AssignedSolutionID"        }    },    "processingInformation": {        "actionList": [            "TOKEN_CREATE"        ],        "actionTokenTypes": [            "instrumentIdentifier",            "paymentInstrument",            "customer"        ],        "commerceIndicator": "retail",        "capture": false,        "industryDataType": "lodging",        "reconciliationId": "214"    },    "travelInformation": {        "duration": "2"    },    "pointOfSaleInformation": {        "terminalId": "12345678",        "emv": {            "cardSequenceNumber": "01",            "tags": "9A032203289C01005F2A0206049F1A0206049F02060000000202009F03060000000000005F3401019F36020002820200208407A0000000031010950500000000009F10201F220100A00000000000000000000000000000000000000000000000000000009F2608CE9652E31FCB34C79F2701809F33036068C89F34030200009F3704548FF8CF9F6E0420700000"        },        "trackData": ";4761731xxxx00027=241220119058254?",        "entryMode": "contact",        "terminalCapability": "4"    },    "paymentInformation": {        "card": {            "type": "001"        }    },    "orderInformation": {        "amountDetails": {            "totalAmount": "500.00",            "currency": "USD"        }    }}
{    "_links": {        "authReversal": {            "method": "POST",            "href": "/pts/v2/payments/7334466205036952804953/reversals"        },        "self": {            "method": "GET",            "href": "/pts/v2/payments/7334466205036952804953"        },        "capture": {            "method": "POST",            "href": "/pts/v2/payments/7334466205036952804953/captures"        }    },    "clientReferenceInformation": {        "code": "TestCode123",        "comments": "Checkin Auth CP",        "partner": {            "developerId": "AssignedDevID",            "solutionId": "AssignedSolutionID"        }    },    "id": "7334466205036952804953",    "orderInformation": {        "amountDetails": {            "authorizedAmount": "500.00",            "currency": "USD"        }    },    "paymentAccountInformation": {        "card": {            "type": "001"        }    },    "paymentInformation": {        "accountFeatures": {            "category": "A",            "group": "0"        },        "tokenizedCard": {            "type": "001"        },        "card": {            "type": "001"        }    },    "pointOfSaleInformation": {        "emv": {            "tags": "9F360200029108970A2A7200860000"        }    },    "processorInformation": {        "systemTraceAuditNumber": "023821",        "paymentAccountReferenceNumber": "V0010013019319455709071563112",        "approvalCode": "034508",        "networkTransactionId": "304341034201726",        "settlementDate": "4346",        "retrievalReferenceNumber": "434000023821",        "transactionId": "304341034201726",        "responseCode": "00",        "avs": {            "code": "2"        }    },    "reconciliationId": "214",    "status": "AUTHORIZED",    "submitTimeUtc": "2025-12-06T00:57:00Z",    "tokenInformation": {        "instrumentidentifierNew": false,        "instrumentIdentifier": {            "state": "ACTIVE",            "id": "7034970000031910027"        },        "paymentInstrument": {            "id": "28906F4B4175D130E063AF598E0A1E0C"        },        "customer": {            "id": "28907456CBDCCBBFE063AF598E0A8A5F"        }    }}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Checkin Auth CP.
clientReferenceInformation.partner.developerIdThe value is provided by .
clientReferenceInformation.partner.solutionIdThe value is provided by .
clientReferenceInformation.partner.thirdPartyCertificationNumber
clientReferenceInformation.transactionIdSet this field to a unique value to manage timeout scenarios when a response message is not received.
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
pointOfSaleInformation.emv.cardSequenceNumberSet the value to 01.
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryModeSet the value to contact.
pointOfSaleInformation.terminalCapabilitySet the value to 4.
pointOfSaleInformation.terminalIdThis field is required if it is within project scope. Merchant configuration is required to support multiple terminal IDs. Otherwise, uses the default terminal ID in the merchant configuration.
pointOfSaleInformation.trackData
processingInformation.actionListSet the value to TOKEN_CREATE.
processingInformation.actionTokenTypesSet the field to one of these values: customer, instrumentIdentifier, paymentInstrument.
processingInformation.commerceIndicatorSet the value to retail.
processingInformation.industryDataTypeSet the value to lodging.
processingInformation.reconciliationIdSet the value to the room or folio number.
travelInformation.duration

Last published: September 29, 2026